#ifndef UOS_RECOVERY_RSYNCUSERDATARESTORETEST_H
#define UOS_RECOVERY_RSYNCUSERDATARESTORETEST_H

#include <gtest/gtest.h>
#include "uos-recovery-service/RsyncUserData.h"

class RsyncUserDataRestoreTest : public testing::Test {
public:
    void SetUp() override
    {
        m_rsyncUserData = new RsyncUserData();
    }

    void TearDown() override
    {
        if (nullptr != m_rsyncUserData) {
            delete m_rsyncUserData;
            m_rsyncUserData = nullptr;
        }
    }

public:
    RsyncUserData* m_rsyncUserData = nullptr;
};


#endif //UOS_RECOVERY_RSYNCUSERDATARESTORETEST_H
